import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:hqm_ltv/hqm_ltv.dart';

Future<void> main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await HqmLtv.init('bdb4f13cf365b30fde5a96f3475d42c9', isDebug: true);

  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    HqmLtv.log('test', {
      'test': 'test',
      'test2': 1
    });

    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: const Center(
          child: Text('Running on: _sadfsdfsfd\n'),
        ),
      ),
    );
  }
}
