
import 'dart:async';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class HqmLtv {
  static const MethodChannel _channel = MethodChannel('hqm_ltv');

  static Future<void> init(
      String key,
      {bool isDebug = false}) async => await _channel.invokeMethod('init', <String, dynamic>{
    'key': key,
    'isDebug': isDebug,
  });

  static Future<void> log(
      String eventName,
      Map<String, dynamic> data) async => await _channel.invokeMethod('log', <String, dynamic>{
    'eventName': eventName,
    'data': data,
  });
}
